<?xml version='1.0' encoding='utf-8'?>
<FilingSummary>
  <Version>3.24.1.u1</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>249</ContextCount>
  <ElementCount>315</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>true</FootnotesReported>
  <SegmentCount>76</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>14</UnitCount>
  <MyReports>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>100000 - Document - Document and Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DocumentDocumentAndEntityInformation</Role>
      <ShortName>Document and Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>100010 - Statement - CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_StatementCONSOLIDATEDBALANCESHEETS</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>100030 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_StatementCONSOLIDATEDBALANCESHEETSParenthetical</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>100040 - Statement - CONSOLIDATED STATEMENTS OF INCOME (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/StatementConsolidatedStatementsOfIncomeUnaudited</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF INCOME (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>100050 - Statement - CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (LOSS) (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/StatementConsolidatedStatementsOfComprehensiveIncomeLossUnaudited</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF COMPREHENSIVE INCOME (LOSS) (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>100060 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_StatementCONSOLIDATEDSTATEMENTSOFCASHFLOWSUnaudited</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>100070 - Statement - CONSOLIDATED STATEMENTS OF STOCKHOLDERS' EQUITY (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_StatementCONSOLIDATEDSTATEMENTSOFSTOCKHOLDERSEQUITYUnaudited</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF STOCKHOLDERS' EQUITY (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>100080 - Statement - CONSOLIDATED STATEMENTS OF STOCKHOLDERS' EQUITY (Unaudited) (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/StatementConsolidatedStatementsOfStockholdersEquityUnauditedParenthetical</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF STOCKHOLDERS' EQUITY (Unaudited) (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>995410 - Disclosure - Pay vs Performance Disclosure</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://xbrl.sec.gov/ecd/role/PvpDisclosure</Role>
      <ShortName>Pay vs Performance Disclosure</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>995445 - Disclosure - Insider Trading Arrangements</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://xbrl.sec.gov/ecd/role/InsiderTradingArrangements</Role>
      <ShortName>Insider Trading Arrangements</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>995455 - Disclosure - Summary of Organization and Nature of Business</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureSummaryOfOrganizationAndNatureOfBusiness</Role>
      <ShortName>Summary of Organization and Nature of Business</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>995465 - Disclosure - Basis of Presentation</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureBasisOfPresentation</Role>
      <ShortName>Basis of Presentation</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>995475 - Disclosure - New Accounting Standards</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureNewAccountingStandards</Role>
      <ShortName>New Accounting Standards</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>995485 - Disclosure - Revenues from Contracts with Customers</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureRevenuesFromContractsWithCustomers</Role>
      <ShortName>Revenues from Contracts with Customers</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>995495 - Disclosure - Income Taxes</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIncomeTaxes</Role>
      <ShortName>Income Taxes</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>995505 - Disclosure - Income Per Common Share</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIncomePerCommonShare</Role>
      <ShortName>Income Per Common Share</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>995515 - Disclosure - Capitalized Costs and Accumulated Depreciation, Depletion and Amortization</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalizedCostsAndAccumulatedDepreciationDepletionAndAmortization</Role>
      <ShortName>Capitalized Costs and Accumulated Depreciation, Depletion and Amortization</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>995525 - Disclosure - Indebtedness</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIndebtedness</Role>
      <ShortName>Indebtedness</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>995535 - Disclosure - Asset Retirement Obligations</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureAssetRetirementObligations</Role>
      <ShortName>Asset Retirement Obligations</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>19</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>995545 - Disclosure - Derivative Activities</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureDerivativeActivities</Role>
      <ShortName>Derivative Activities</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>20</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>995555 - Disclosure - Fair Value Measurements</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurements</Role>
      <ShortName>Fair Value Measurements</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>21</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>995565 - Disclosure - Stock-Based Compensation Plans</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlans</Role>
      <ShortName>Stock-Based Compensation Plans</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>22</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>995575 - Disclosure - Capital Stock</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalStock</Role>
      <ShortName>Capital Stock</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>23</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>995585 - Disclosure - Exit Costs</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureExitCosts</Role>
      <ShortName>Exit Costs</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>24</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>995595 - Disclosure - Supplemental Cash Flow Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureSupplementalCashFlowInformation</Role>
      <ShortName>Supplemental Cash Flow Information</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>25</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>995605 - Disclosure - Commitments and Contingencies</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCommitmentsAndContingencies</Role>
      <ShortName>Commitments and Contingencies</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>26</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>995625 - Disclosure - Costs Incurred for Property Acquisition, Exploration and Development</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCostsIncurredForPropertyAcquisitionExplorationAndDevelopment</Role>
      <ShortName>Costs Incurred for Property Acquisition, Exploration and Development</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>27</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>995635 - Disclosure - Basis of Presentation (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureBasisOfPresentationPolicies</Role>
      <ShortName>Basis of Presentation (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureNewAccountingStandards</ParentRole>
      <Position>28</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>995645 - Disclosure - Revenues from Contracts with Customers (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureRevenuesFromContractsWithCustomersTables</Role>
      <ShortName>Revenues from Contracts with Customers (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureRevenuesFromContractsWithCustomers</ParentRole>
      <Position>29</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>995665 - Disclosure - Income Per Common Share (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIncomePerCommonShareTables</Role>
      <ShortName>Income Per Common Share (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIncomePerCommonShare</ParentRole>
      <Position>30</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>995675 - Disclosure - Capitalized Costs and Accumulated Depreciation, Depletion and Amortization (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalizedCostsAndAccumulatedDepreciationDepletionAndAmortizationTables</Role>
      <ShortName>Capitalized Costs and Accumulated Depreciation, Depletion and Amortization (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalizedCostsAndAccumulatedDepreciationDepletionAndAmortization</ParentRole>
      <Position>31</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>995685 - Disclosure - Indebtedness (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIndebtednessTables</Role>
      <ShortName>Indebtedness (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIndebtedness</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>995695 - Disclosure - Asset Retirement Obligations (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureAssetRetirementObligationsTables</Role>
      <ShortName>Asset Retirement Obligations (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureAssetRetirementObligations</ParentRole>
      <Position>33</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>995705 - Disclosure - Derivative Activities (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureDerivativeActivitiesTables</Role>
      <ShortName>Derivative Activities (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureDerivativeActivities</ParentRole>
      <Position>34</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>995715 - Disclosure - Fair Value Measurements (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurementsTables</Role>
      <ShortName>Fair Value Measurements (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurements</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>995725 - Disclosure - Stock-Based Compensation Plans (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansTables</Role>
      <ShortName>Stock-Based Compensation Plans (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlans</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>995735 - Disclosure - Capital Stock (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalStockTables</Role>
      <ShortName>Capital Stock (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalStock</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>995745 - Disclosure - Exit Costs (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureExitCostsTables</Role>
      <ShortName>Exit Costs (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureExitCosts</ParentRole>
      <Position>38</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>995755 - Disclosure - Supplemental Cash Flow Information (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureSupplementalCashFlowInformationTables</Role>
      <ShortName>Supplemental Cash Flow Information (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureSupplementalCashFlowInformation</ParentRole>
      <Position>39</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>995775 - Disclosure - Costs Incurred for Property Acquisition, Exploration and Development (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCostsIncurredForPropertyAcquisitionExplorationAndDevelopmentTables</Role>
      <ShortName>Costs Incurred for Property Acquisition, Exploration and Development (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCostsIncurredForPropertyAcquisitionExplorationAndDevelopment</ParentRole>
      <Position>40</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>995785 - Disclosure - Revenues from Contracts with Customers - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureRevenuesFromContractsWithCustomersAdditionalInformationDetail</Role>
      <ShortName>Revenues from Contracts with Customers - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>41</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>995795 - Disclosure - Revenues from Contracts with Customers - Disaggregation of Revenue by Identified Revenue Stream (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureRevenuesFromContractsWithCustomersDisaggregationOfRevenueByIdentifiedRevenueStreamDetail</Role>
      <ShortName>Revenues from Contracts with Customers - Disaggregation of Revenue by Identified Revenue Stream (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>42</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>995815 - Disclosure - Income Per Common Share - Computations of Basic and Diluted Income (Loss) Per Common Share (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIncomePerCommonShareComputationsOfBasicAndDilutedIncomeLossPerCommonShareDetail</Role>
      <ShortName>Income Per Common Share - Computations of Basic and Diluted Income (Loss) Per Common Share (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>43</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>995825 - Disclosure - Income Per Common Share - Basic Weighted Average Common Shares Outstanding and Diluted Weighted Average Common Shares Outstanding (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIncomePerCommonShareBasicWeightedAverageCommonSharesOutstandingAndDilutedWeightedAverageCommonSharesOutstandingDetail</Role>
      <ShortName>Income Per Common Share - Basic Weighted Average Common Shares Outstanding and Diluted Weighted Average Common Shares Outstanding (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>44</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>995835 - Disclosure - Income Per Common Share - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIncomePerCommonShareAdditionalInformationDetail</Role>
      <ShortName>Income Per Common Share - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>45</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>995845 - Disclosure - Capitalized Costs and Accumulated Depreciation, Depletion and Amortization (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalizedCostsAndAccumulatedDepreciationDepletionAndAmortizationDetail</Role>
      <ShortName>Capitalized Costs and Accumulated Depreciation, Depletion and Amortization (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalizedCostsAndAccumulatedDepreciationDepletionAndAmortizationTables</ParentRole>
      <Position>46</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>995855 - Disclosure - Indebtedness - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIndebtednessAdditionalInformationDetail</Role>
      <ShortName>Indebtedness - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>47</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>995865 - Disclosure - Indebtedness - Debt Outstanding (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIndebtednessDebtOutstandingDetail</Role>
      <ShortName>Indebtedness - Debt Outstanding (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>48</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>995875 - Disclosure - Indebtedness - Debt Outstanding (Parenthetical) (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIndebtednessDebtOutstandingParentheticalDetail</Role>
      <ShortName>Indebtedness - Debt Outstanding (Parenthetical) (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>49</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>995885 - Disclosure - Indebtedness - Bank Debt - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureIndebtednessBankDebtAdditionalInformationDetail</Role>
      <ShortName>Indebtedness - Bank Debt - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>50</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>995895 - Disclosure - Indebtedness - Senior Note Redemptions - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIndebtednessSeniorNoteRedemptionsAdditionalInformationDetail</Role>
      <ShortName>Indebtedness - Senior Note Redemptions - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>51</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>995905 - Disclosure - Indebtedness - Debt Covenants - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureIndebtednessDebtCovenantsAdditionalInformationDetail</Role>
      <ShortName>Indebtedness - Debt Covenants - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>52</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>995915 - Disclosure - Asset Retirement Obligations - Asset Retirement Obligations (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureAssetRetirementObligationsAssetRetirementObligationsDetail</Role>
      <ShortName>Asset Retirement Obligations - Asset Retirement Obligations (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>53</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>995925 - Disclosure - Derivative Activities - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureDerivativeActivitiesAdditionalInformationDetail</Role>
      <ShortName>Derivative Activities - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>54</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>995935 - Disclosure - Derivative Activities - Derivative Volumes Hedged and Average Hedge Prices (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureDerivativeActivitiesDerivativeVolumesHedgedAndAverageHedgePricesDetail</Role>
      <ShortName>Derivative Activities - Derivative Volumes Hedged and Average Hedge Prices (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>55</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>995945 - Disclosure - Derivative Activities - Derivative Volumes Hedged and Average Hedge Prices (Parenthetical) (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureDerivativeActivitiesDerivativeVolumesHedgedAndAverageHedgePricesParentheticalDetail</Role>
      <ShortName>Derivative Activities - Derivative Volumes Hedged and Average Hedge Prices (Parenthetical) (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>56</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>995955 - Disclosure - Derivative Activities - Combined Fair Value of Derivatives, by Consolidated Balance Sheets (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureDerivativeActivitiesCombinedFairValueOfDerivativesByConsolidatedBalanceSheetsDetail</Role>
      <ShortName>Derivative Activities - Combined Fair Value of Derivatives, by Consolidated Balance Sheets (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>57</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>995965 - Disclosure - Derivative Activities - Effects of Derivatives on Consolidated Statements of Income (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureDerivativeActivitiesEffectsOfDerivativesOnConsolidatedStatementsOfIncomeDetail</Role>
      <ShortName>Derivative Activities - Effects of Derivatives on Consolidated Statements of Income (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>58</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>995975 - Disclosure - Fair Value Measurements - Fair Value Hierarchy Table for Assets and Liabilities Measured at Fair Value (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurementsFairValueHierarchyTableForAssetsAndLiabilitiesMeasuredAtFairValueDetail</Role>
      <ShortName>Fair Value Measurements - Fair Value Hierarchy Table for Assets and Liabilities Measured at Fair Value (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>59</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>995985 - Disclosure - Fair Value Measurements - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurementsAdditionalInformationDetail</Role>
      <ShortName>Fair Value Measurements - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>60</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R61.htm</HtmlFileName>
      <LongName>995995 - Disclosure - Fair Value Measurements - Reconciliation of the Beginning and Ending Balances for Derivative Instruments Classified as Level 3 in the Fair Value Hierarchy (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurementsReconciliationOfBeginningAndEndingBalancesForDerivativeInstrumentsClassifiedAsLevel3InFairValueHierarchyDetail</Role>
      <ShortName>Fair Value Measurements - Reconciliation of the Beginning and Ending Balances for Derivative Instruments Classified as Level 3 in the Fair Value Hierarchy (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>61</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R62.htm</HtmlFileName>
      <LongName>996005 - Disclosure - Fair Value Measurements - Carrying Amounts and Fair Values of Financial Instruments (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurementsCarryingAmountsAndFairValuesOfFinancialInstrumentsDetail</Role>
      <ShortName>Fair Value Measurements - Carrying Amounts and Fair Values of Financial Instruments (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>62</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R63.htm</HtmlFileName>
      <LongName>996015 - Disclosure - Fair Value Measurements - Carrying Amounts and Fair Values of Financial Instruments (Parenthetical) (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureFairValueMeasurementsCarryingAmountsAndFairValuesOfFinancialInstrumentsParentheticalDetail</Role>
      <ShortName>Fair Value Measurements - Carrying Amounts and Fair Values of Financial Instruments (Parenthetical) (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>63</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R64.htm</HtmlFileName>
      <LongName>996025 - Disclosure - Stock-Based Compensation Plans - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansAdditionalInformationDetail</Role>
      <ShortName>Stock-Based Compensation Plans - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>64</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R65.htm</HtmlFileName>
      <LongName>996035 - Disclosure - Stock-Based Compensation Plans - Allocation of Stock-Based Compensation by Functional Category (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansAllocationOfStockbasedCompensationByFunctionalCategoryDetail</Role>
      <ShortName>Stock-Based Compensation Plans - Allocation of Stock-Based Compensation by Functional Category (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>65</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R66.htm</HtmlFileName>
      <LongName>996045 - Disclosure - Stock-Based Compensation Plans - Additional Information 1 (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansAdditionalInformation1Detail</Role>
      <ShortName>Stock-Based Compensation Plans - Additional Information 1 (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>66</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R67.htm</HtmlFileName>
      <LongName>996055 - Disclosure - Stock-Based Compensation Plans - Additional Information 2 (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansAdditionalInformation2Detail</Role>
      <ShortName>Stock-Based Compensation Plans - Additional Information 2 (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>67</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R68.htm</HtmlFileName>
      <LongName>996065 - Disclosure - Stock-Based Compensation Plans - Valuation Assumptions for Grant Date Fair Value of Performance Awards (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansValuationAssumptionsForGrantDateFairValueOfPerformanceAwardsDetail</Role>
      <ShortName>Stock-Based Compensation Plans - Valuation Assumptions for Grant Date Fair Value of Performance Awards (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>68</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R69.htm</HtmlFileName>
      <LongName>996075 - Disclosure - Stock-Based Compensation Plans - Restricted Stock and Restricted Stock Units and Performance Awards Outstanding (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansRestrictedStockAndRestrictedStockUnitsAndPerformanceAwardsOutstandingDetail</Role>
      <ShortName>Stock-Based Compensation Plans - Restricted Stock and Restricted Stock Units and Performance Awards Outstanding (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>69</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R70.htm</HtmlFileName>
      <LongName>996085 - Disclosure - Stock-Based Compensation Plans - Restricted Stock and Restricted Stock Units and Performance Awards Outstanding (Parenthetical) (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansRestrictedStockAndRestrictedStockUnitsAndPerformanceAwardsOutstandingParentheticalDetail</Role>
      <ShortName>Stock-Based Compensation Plans - Restricted Stock and Restricted Stock Units and Performance Awards Outstanding (Parenthetical) (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>70</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R71.htm</HtmlFileName>
      <LongName>996095 - Disclosure - Stock-Based Compensation Plans - Additional Information 3 (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansAdditionalInformation3Detail</Role>
      <ShortName>Stock-Based Compensation Plans - Additional Information 3 (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>71</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R72.htm</HtmlFileName>
      <LongName>996105 - Disclosure - Stock-Based Compensation Plans - Additional Information 4 (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureStockbasedCompensationPlansAdditionalInformation4Detail</Role>
      <ShortName>Stock-Based Compensation Plans - Additional Information 4 (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>72</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R73.htm</HtmlFileName>
      <LongName>996115 - Disclosure - Capital Stock - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalStockAdditionalInformationDetail</Role>
      <ShortName>Capital Stock - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>73</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R74.htm</HtmlFileName>
      <LongName>996125 - Disclosure - Capital Stock - Schedule of Changes in Number of Common Shares Outstanding (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalStockScheduleOfChangesInNumberOfCommonSharesOutstandingDetail</Role>
      <ShortName>Capital Stock - Schedule of Changes in Number of Common Shares Outstanding (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>74</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R75.htm</HtmlFileName>
      <LongName>996135 - Disclosure - Capital Stock - Schedule of Change in Treasury Shares (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCapitalStockScheduleOfChangeInTreasurySharesDetail</Role>
      <ShortName>Capital Stock - Schedule of Change in Treasury Shares (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>75</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R76.htm</HtmlFileName>
      <LongName>996145 - Disclosure - Exit Costs - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureExitCostsAdditionalInformationDetail</Role>
      <ShortName>Exit Costs - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>76</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R77.htm</HtmlFileName>
      <LongName>996155 - Disclosure - Exit Costs - Summary of Exit Costs (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureExitCostsSummaryOfExitCostsDetail</Role>
      <ShortName>Exit Costs - Summary of Exit Costs (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>77</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R78.htm</HtmlFileName>
      <LongName>996165 - Disclosure - Exit Costs - Exit Costs Included in Accrued Liabilities in Consolidated Balance Sheet - (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/DisclosureExitCostsExitCostsIncludedInAccruedLiabilitiesInConsolidatedBalanceSheetDetail</Role>
      <ShortName>Exit Costs - Exit Costs Included in Accrued Liabilities in Consolidated Balance Sheet - (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>78</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R79.htm</HtmlFileName>
      <LongName>996175 - Disclosure - Supplemental Cash Flow Information - Supplemental Cash Flow Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureSupplementalCashFlowInformationSupplementalCashFlowInformationDetail</Role>
      <ShortName>Supplemental Cash Flow Information - Supplemental Cash Flow Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>79</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R80.htm</HtmlFileName>
      <LongName>996185 - Disclosure - Commitments and Contingencies - Additional Information (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCommitmentsAndContingenciesAdditionalInformationDetail</Role>
      <ShortName>Commitments and Contingencies - Additional Information (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>80</Position>
    </Report>
    <Report instance="rrc-20240331.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R81.htm</HtmlFileName>
      <LongName>996205 - Disclosure - Costs Incurred for Property Acquisition, Exploration and Development (Detail)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCostsIncurredForPropertyAcquisitionExplorationAndDevelopmentDetail</Role>
      <ShortName>Costs Incurred for Property Acquisition, Exploration and Development (Detail)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.rangeresources.com/20240331/taxonomy/role/Role_DisclosureCostsIncurredForPropertyAcquisitionExplorationAndDevelopmentTables</ParentRole>
      <Position>81</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <Logs>
    <Log type="Warning">[ix-0514-Hidden-Fact-Eligible-For-Transform] WARN: 2 fact(s) appearing in ix:hidden were eligible for transformation: rrc:ExpirationOfDerivativeNonMonetaryNotionalAmount -  rrc-20240331.htm 8</Log>
  </Logs>
  <InputFiles>
    <File doctype="10-Q" isDefinitelyFs="true" isUsgaap="true" original="rrc-20240331.htm">rrc-20240331.htm</File>
    <File>rrc-20240331.xsd</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies>
    <BaseTaxonomy items="721">http://fasb.org/us-gaap/2023</BaseTaxonomy>
    <BaseTaxonomy items="30">http://xbrl.sec.gov/dei/2023</BaseTaxonomy>
    <BaseTaxonomy items="4">http://xbrl.sec.gov/ecd/2023</BaseTaxonomy>
  </BaseTaxonomies>
  <HasPresentationLinkbase>false</HasPresentationLinkbase>
  <HasCalculationLinkbase>false</HasCalculationLinkbase>
</FilingSummary>
